Bug 132900 - [PATCH] net-p2p/deluge: prepare for upcoming boost 1.37.0
Summary: [PATCH] net-p2p/deluge: prepare for upcoming boost 1.37.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-21 13:20 UTC by Dmitry Marakasov
Modified: 2009-04-07 13:30 UTC (History)
0 users

See Also:


Attachments
deluge-1.1.5.patch (442 bytes, patch)
2009-03-21 13:20 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2009-03-21 13:20:01 UTC
Deluge doesn't build with upcoming boost 1.37.0 (see http://wiki.freebsd.org/BoostPortingProject)

On 6.x, there are errors:
http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/a.6-exp.20090211224145/deluge-0.5.9.4.log

and on later freebsd versions, it triggers internal compiler errors in gcc 4.2.

USE_GCC=4.3+ fixes both of those. 

Generated with FreeBSD Port Tools 0.77
Comment 1 Dmitry Marakasov freebsd_committer 2009-03-23 23:18:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-03-23 23:20:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2009-03-23 23:20:29 UTC
amdmi3      2009-03-23 23:20:13 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/deluge       Makefile 
  Log:
  - Fix build with upcoming boost 1.37.1
  
  PR:             132900
  Submitted by:   myself
  
  Revision  Changes    Path
  1.53      +1 -0      ports/net-p2p/deluge/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Marakasov freebsd_committer 2009-03-25 18:07:25 UTC
State Changed
From-To: closed->open

Reopen, should be committed with bost update
Comment 5 Dmitry Marakasov freebsd_committer 2009-03-25 18:07:44 UTC
Responsible Changed
From-To: amdmi3->lwhsu

To be committed with boost update
Comment 6 Li-Wen Hsu freebsd_committer 2009-04-07 13:20:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2009-04-07 13:20:53 UTC
lwhsu       2009-04-07 12:20:36 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/deluge       Makefile 
  Log:
  - Add USE_GCC=4.3+ to fix building with boost 1.37
  
  PR:             ports/132900
  Submitted by:   amdmi3
  
  Revision  Changes    Path
  1.55      +1 -0      ports/net-p2p/deluge/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"